Create multi transfer request
curl --request POST \
--url https://thirdparty.qonto.com/v2/requests/multi_transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Qonto-Idempotency-Key: <x-qonto-idempotency-key>' \
--data '
{
"request_multi_transfer": {
"note": "Salary of marketing departmenet. Please approve ASAP.",
"transfers": [
{
"amount": "2000.50",
"currency": "EUR",
"credit_iban": "FR7630001007941234567890183",
"credit_account_name": "URSSAF",
"credit_account_currency": "EUR",
"reference": "Invoice 2023-01",
"attachment_ids": [
"d840f1cb-6adb-48af-9f89-540dcf5ba741"
]
}
],
"scheduled_date": "2023-03-06",
"debit_iban": "FR0807277000000000000000911"
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/requests/multi_transfers"
payload = { "request_multi_transfer": {
"note": "Salary of marketing departmenet. Please approve ASAP.",
"transfers": [
{
"amount": "2000.50",
"currency": "EUR",
"credit_iban": "FR7630001007941234567890183",
"credit_account_name": "URSSAF",
"credit_account_currency": "EUR",
"reference": "Invoice 2023-01",
"attachment_ids": ["d840f1cb-6adb-48af-9f89-540dcf5ba741"]
}
],
"scheduled_date": "2023-03-06",
"debit_iban": "FR0807277000000000000000911"
} }
headers = {
"X-Qonto-Idempotency-Key": "<x-qonto-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Qonto-Idempotency-Key': '<x-qonto-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
request_multi_transfer: {
note: 'Salary of marketing departmenet. Please approve ASAP.',
transfers: [
{
amount: '2000.50',
currency: 'EUR',
credit_iban: 'FR7630001007941234567890183',
credit_account_name: 'URSSAF',
credit_account_currency: 'EUR',
reference: 'Invoice 2023-01',
attachment_ids: ['d840f1cb-6adb-48af-9f89-540dcf5ba741']
}
],
scheduled_date: '2023-03-06',
debit_iban: 'FR0807277000000000000000911'
}
})
};
fetch('https://thirdparty.qonto.com/v2/requests/multi_transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_multi_transfer": {
"id": "bb8f8d1d-5f12-486e-8f8e-90cc2af76038",
"request_type": "multi_transfer",
"status": "pending",
"initiator_id": "6b1872e4-08e4-42ec-9c82-b441ec242a9b",
"approver_id": null,
"note": "Salary of marketing departmenet. Please approve ASAP",
"declined_note": null,
"total_transfers_amount": "2000.50",
"total_transfers_amount_currency": "EUR",
"total_transfers_count": 1,
"scheduled_date": "2023-03-06",
"processed_at": null,
"created_at": "2023-02-16T17:33:38.215Z",
"transfers": [
{
"id": "d840f1cb-6adb-48af-9f89-540dcf5ba741",
"credit_account_name": "URSSAF",
"amount": "2000.50",
"currency": "EUR",
"reference": "Invoice 2023-01"
}
]
}
}Requests
Create multi transfer request
OAuth scope: request_transfers.write
Creates a single request for multiple transfers that should be approved by a membership of the authenticated organization with permissions to review requests.
Price plans: this endpoint is accessible by organizations with all plans except Solo Basic.
POST
/
v2
/
requests
/
multi_transfers
Create multi transfer request
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Learn more in Idempotent Requests.
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Show child attributes
Show child attributes
Response
Returns the request created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I